Skip to main content
POST
/
api
/
parent_agents
/
{parent_agent_id}
/
sub_agents
/
{sub_agent_id}
/
tools
Add Sub-Agent Tool
curl --request POST \
  --url https://app.maadify.com/api/parent_agents/{parent_agent_id}/sub_agents/{sub_agent_id}/tools \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "agent_tool_id": 2
}
'
import requests

url = "https://app.maadify.com/api/parent_agents/{parent_agent_id}/sub_agents/{sub_agent_id}/tools"

payload = { "agent_tool_id": 2 }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({agent_tool_id: 2})
};

fetch('https://app.maadify.com/api/parent_agents/{parent_agent_id}/sub_agents/{sub_agent_id}/tools', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "items": [
      {
        "id": 123,
        "sub_agent_id": 123,
        "agent_tool_id": 123,
        "option": "<string>",
        "created_at": "<string>"
      }
    ]
  },
  "error_type": "<string>",
  "error_message": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

parent_agent_id
integer
required
sub_agent_id
integer
required

Body

application/json
agent_tool_id
integer
required

ID of the agent tool to attach to the sub-agent.

Required range: x >= 1
option
enum<string> | null

How the sub-agent can use the tool: register it for LLM tool calling, execute it directly, or both.

Available options:
register,
execute,
both

Response

Successful Response

success
boolean
required

Whether the request was successful.

data
SubAgentToolMutationData · object
required

Sub-agent tool mutation results.

error_type
string | null

Type of error if the request failed.

error_message
string | null

Error message or informational message.